<?php
include("../pdo/AES.php");
require_once "../pdo/pdocontroller.php";
    if (isset($_REQUEST['usuario'])){$usuario=$_REQUEST['usuario'];}else{$usuario="";}
    if (isset($_REQUEST['codemp'])){$codemp=$_REQUEST['codemp'];}else{$codemp="";}
    if (isset($_REQUEST['extension'])){$extusr=$_REQUEST['extension'];}else{$extusr="";}
    if (isset($_REQUEST['rol'])){$rol=$_REQUEST['rol'];}else{$rol="";}
    if (isset($_REQUEST['clave'])){$clave=$_REQUEST['clave'];}else{$clave="";}
    if (isset($_REQUEST['proyecto'])){$proyecto=$_REQUEST['proyecto'];}else{$proyecto="";}
    //pendiente a futuro para restringir usurio segun proyecto
    // $pass_encrypt=encriptar($clave);
    $DBclase="PDOCONTROLLER";
    //$nomtab="usr_".$extusr;conusu as clave,
    $nomtab="usrweb";
    $query = "SELECT nomper as nombre,nomusu as usuario,nriper,peremp as empresas,dftemp,conusu FROM ".$nomtab." where nomusu= :usuario " ;
    $parametros=array(":usuario"=>$usuario);     
    $DBconex=new $DBclase;
    try{
        $datos=$DBconex->executeconsulta($query,$parametros);
        if(is_integer($datos)){
            echo "ocurrio un error";
        }else{
            if(isset($datos) && !empty($datos) && sizeof($datos)>0){
                foreach($datos as $qdatos){
                    $clave_encrypt= $qdatos["conusu"];
                }
                $sw=verificar($clave,$clave_encrypt);
                if($sw==1){
                    header("Content-Type: application/json");
                    echo json_encode($datos);
                    return;
                }else{
                    echo "Usuario o Password Invalidos";
                }
            }
        }
    }catch(Exception $ex){
        echo $ex->getMessage();
    }

?>